Please remove pyclutter from Intrepid archive

Bug #267478 reported by Andrew Starr-Bochicchio on 2008-09-07
18
Affects Status Importance Assigned to Milestone
pyclutter (Debian)
Invalid
Undecided
Unassigned
pyclutter (Ubuntu)
High
Unassigned
Intrepid
High
Unassigned

Bug Description

Please remove pyclutter source and binaries from Intrepid. It is still
on the 0.6 clutter API and Intrepid has the 0.8 API. Testing has
suggested that pyclutter isn't solid enough to be pushed in at this
stage.

Please do not blacklist the package. When Debian gets a new version
we will want it, as they are in the same position.

There are no rdepends.

== Original report.

This package has versionized depends which can't be satisfied.

From pyclutter-0.6.2/README:

"This release is supporting the following Clutter releases:

        clutter-core 0.6.2
        clutter-gst 0.6.1
        clutter-gtk 0.6.0
        clutter-cairo 0.6.0"

Intrepid already has the newer clutter libs, but pyclutterr-0.6.2 can't use them. Upstream has yet to release a new version of pyclutter. The current Intrepid package is uninstallable and unusable....

More info here: http://qa.ubuntuwire.com/debcheck/debcheck.py?dist=intrepid&package=pyclutter

Debian has removed the package, see:

  http://lists.debian.org/debian-release/2008/07/msg00627.html

Changed in pyclutter:
importance: Undecided → High
Changed in pyclutter:
status: Unknown → New
Changed in pyclutter:
status: New → Confirmed
James Westby (james-w) wrote :

Hi,

Debian has removed the package, see

  http://lists.debian.org/debian-release/2008/07/msg00627.html

There is still no 0.8 release at

  http://clutter-project.org/sources/pyclutter/

Perhaps we should be removing the package as well.

Thanks,

James

Agreed. Changing this to a removal bug....

description: updated
description: updated
James Westby (james-w) wrote :

ACK from me, please remove.

However, I don't think it should be blacklisted. If Debian gets
a fixed package back then we should take it.

Thanks,

James

Is there any way to work with PyClutter in the current builds of Intrepid?
Perhaps there is a way to install / test Clutter 0.8x Python bindings from
source, or a personal archive?
Thanks for any help,
   Brian

On Mon, Sep 29, 2008 at 5:51 AM, James Westby
<<email address hidden><jw%<email address hidden>>
> wrote:

> ACK from me, please remove.
>
> However, I don't think it should be blacklisted. If Debian gets
> a fixed package back then we should take it.
>
> Thanks,
>
> James
>
> --
> Please remove pyclutter from Intrepid archive
> https://bugs.launchpad.net/bugs/267478
> You received this bug notification because you are a direct subscriber
> of the bug.
>

James Westby (james-w) wrote :

On Mon, 2008-09-29 at 15:58 +0000, Brian DeLacey wrote:
> Is there any way to work with PyClutter in the current builds of Intrepid?
> Perhaps there is a way to install / test Clutter 0.8x Python bindings from
> source, or a personal archive?

That's the problem, I don't think 0.8 bindings exist anywhere, certainly
not in the location I would expect to find them.

Thanks,

James

James Westby (james-w) wrote :

Hi,

I have been notified that we may have pyclutter 0.8 by the end of the week,
and so we shouldn't remove it yet.

Thanks,

James

Changed in pyclutter:
status: Confirmed → Incomplete
Pietro Battiston (toobaz) wrote :

The week has ended and the release date is approaching! pyclutter is not installable in intrepid!

James, did you have further notifications?

James Westby (james-w) wrote :

Hi Pietro,

I was just about to start work on this. Hopefully we should have
a resolution to this today.

Thanks,

James

James Westby (james-w) wrote :

Hi,

Packages are now up on my PPA

  https://edge.launchpad.net/~james-w/+archive

(there's all sorts in there, so I would advise you just install the .deb,
or add the repo, install python-clutter and remove it again)

Please test them and report any issues here so that we can know
what the best course of action is.

Two known issues so far:

  1) Flickering on intel.
  2) Crash on exit.

Please confirm whether you see these issue, and report any others you
find here.

There are several examples shipped in the package in

  /usr/share/doc/python-clutter/examples/

any testing with applications that make use of pyclutter would be appreciated.

Thanks,

James

James Westby (james-w) on 2008-10-14
description: updated
James Westby (james-w) wrote :

Hi,

After some testing, and trying updated clutter packages I'm not
comfortable putting an SVN snapshot in to Intrepid at this point.

Apologies to anyone that wants to use pyclutter on Intrepid, but
you will have to build the 0.8 release yourself when it happens. We
may be able to explore backports or a PPA if desired.

Thanks,

James

Changed in pyclutter:
status: Incomplete → Confirmed
James Westby (james-w) wrote :

Oh, and thanks to everyone that helped trying to save the package, sorry it didn't
work out.

Thanks,

James

Daniel Holm (danielholm) wrote :

Yeah, that kind f sucked. But your package works flawlessly, James. Thank you.

Brian DeLacey (bdelacey) wrote :

Thank you, James et. al., for the packaging effort - it was great to get a
crack at working with the new version.
Brian

On Tue, Oct 14, 2008 at 1:07 PM, James Westby
<<email address hidden><jw%<email address hidden>>
> wrote:

> Oh, and thanks to everyone that helped trying to save the package, sorry it
> didn't
> work out.
>
> Thanks,
>
> James
>
> --
> Please remove pyclutter from Intrepid archive
> https://bugs.launchpad.net/bugs/267478
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Jonathan Riddell (jr) wrote :

removed

Changed in pyclutter:
status: Confirmed → Fix Released
Samuel Buffet (samuel-buffet) wrote :

an official pyclutter 0.8 has been released.

Is there any chance to get it in Intrepid ?

Paul Hummer (rockstar) wrote :

Since Intrepid is now in feature freeze, I think it's best that we not include this in the Intrepid release. We only have a six month release cycle, and those who REALLY need it (like Entertainer) will put the package in their PPA.

Paul Hummer (rockstar) on 2011-04-28
Changed in pyclutter (Debian):
importance: Unknown → Undecided
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.